<template>
  <!-- 长途汽车-长途汽车历史发车添加 -->
  <div>
    <el-dialog
      :title="title + '长途汽车-长途汽车历史发车'"
      :visible.sync="showFormDia"
      width="76%"
      :before-close="handleClose"
      top="8vh"
    >
      <div>
        <el-form
          ref="formInfo"
          :rules="rules"
          :model="params"
          label-width="100px"
        >

       <el-collapse v-model="activeCollapseNames" class="form-collapse">
            <el-collapse-item name="1">
              <template slot="title">
                <span class="collapse-title">
                  <i class="collapse-title-icon el-icon-info" />
                  长途汽车-长途汽车历史发车
                </span>
              </template>


                   <el-row>
                   <el-col :span="12">
                   <el-form-item label="发车日期" >
                         <el-input
                           clearable
                            
                           placeholder="请输入发车日期"
                           v-model="params.departureDate"
                         />
                   </el-form-item>
                   </el-col>
                   <el-col :span="12">
                   <el-form-item label="班次号" >
                         <el-input
                           clearable
                            
                           placeholder="请输入班次号"
                           v-model="params.shiftNumber"
                         />
                   </el-form-item>
                   </el-col>
                   </el-row>
                   <el-row>
                   <el-col :span="12">
                   <el-form-item label="线路名称" >
                         <el-input
                           clearable
                            
                           placeholder="请输入线路名称"
                           v-model="params.lineName"
                         />
                   </el-form-item>
                   </el-col>
                   <el-col :span="12">
                   <el-form-item label="车牌号" >
                         <el-input
                           clearable
                            
                           placeholder="请输入车牌号"
                           v-model="params.numberPlate"
                         />
                   </el-form-item>
                   </el-col>
                   </el-row>
                   <el-row>
                   <el-col :span="12">
                   <el-form-item label="席位数" >
                         <el-input
                           clearable
                            
                           placeholder="请输入席位数"
                           v-model="params.seat"
                         />
                   </el-form-item>
                   </el-col>
                   <el-col :span="12">
                   <el-form-item label="发车时间" >
                         <el-input
                           clearable
                            
                           placeholder="请输入发车时间"
                           v-model="params.departureTime"
                         />
                   </el-form-item>
                   </el-col>
                   </el-row>
                   <el-row>
                   <el-col :span="12">
                   <el-form-item label="出发站点" >
                         <el-input
                           clearable
                            
                           placeholder="请输入出发站点"
                           v-model="params.departureSite"
                         />
                   </el-form-item>
                   </el-col>
                   <el-col :span="12">
                   <el-form-item label="已售票数" >
                         <el-input
                           clearable
                            
                           placeholder="请输入已售票数"
                           v-model="params.ticketsPurchased"
                         />
                   </el-form-item>
                   </el-col>
                   </el-row>
                   <el-row>
                   <el-col :span="12">
                   <el-form-item label="已检票乘客数" >
                         <el-input
                           clearable
                            
                           placeholder="请输入已检票乘客数"
                           v-model="params.checked"
                         />
                   </el-form-item>
                   </el-col>
                   <el-col :span="12">
                   <el-form-item label="执行票价" >
                         <el-input
                           clearable
                            
                           placeholder="请输入执行票价"
                           v-model="params.executeFare"
                         />
                   </el-form-item>
                   </el-col>
                   </el-row>
                   <el-row>
                   <el-col :span="12">
                   <el-form-item label="备注" >
                         <el-input
                            :rows="3"
                           :maxlength="500"
                           show-word-limit
                            v-model="params.memo"
                            type="textarea"
                            style="width:100%;"
                         />
                   </el-form-item>
                   </el-col>
                   </el-row>

            </el-collapse-item>
          </el-collapse>
        </el-form>
         

      </div>
      <span slot="footer" class="dialog-footer">
        <el-button type="primary"   :loading="loading"  @click="handleSave">保 存</el-button>
        <el-button @click="handleClose">取 消</el-button>
      </span>
    </el-dialog>
  </div>
</template>
<script>

import DwdSjBusDepartedApi from '@/views/Manage/dwd/api/DwdSjBusDepartedApi'
import dictContracts from '@/components/dict/DictSelectUtils.js'
import CommonApi from '@/views/Manage/CommonApi.js'
import { mapState } from 'vuex'


export default {
  name: 'DwdSjBusDepartedFormDialog',
  props: {},
  components: {
  },
  data() {
    return {
      title: '新增',
      CommonApi,
      showFormDia: false,
      loading: false,
      activeCollapseNames: ['1'],
      activeTabChildName: '0',

      params: {
            departureDate: null,
            shiftNumber: null,
            lineName: null,
            numberPlate: null,
            seat: null,
            departureTime: null,
            departureSite: null,
            ticketsPurchased: null,
            checked: null,
            executeFare: null,
            memo: null,
      },
      rules: {
      }
    }
  },
  computed: mapState({
    header: state => {
      return {
        Authorization: `Bearer ${state.login.currentUser.token}`
      }
    }
  }),
  created() {
  },
  methods: {
    add() {
      this.title = '新增'
      this.resetForm()
      this.showFormDia = true
    },
    resetForm() {      
      this.params = {
            departureDate: null,
            shiftNumber: null,
            lineName: null,
            numberPlate: null,
            seat: null,
            departureTime: null,
            departureSite: null,
            ticketsPurchased: null,
            checked: null,
            executeFare: null,
            memo: null,
      }     
    },
    handleClose() {
      this.resetForm()
      this.showFormDia = false
    },
    handleSave() {
      this.$refs.formInfo.validate(valid => {
        if (valid) {
          let method
          if (!this.params.id) {
            // 新增
            method = DwdSjBusDepartedApi.addDwdSjBusDeparted
          }else{
            // 修改
            method = DwdSjBusDepartedApi.editDwdSjBusDeparted
          }
          this.loading = true
          method(this.params, res => {
            this.loading = false
            if (res.state) {
              this.$notify({
                type: 'success',
                message: this.title + '成功',
                duration: 2000
              })
             //this.$emit('loadData')
              this.$parent.loadData()
              this.handleClose()
            } else {
              this.$message.warning(res.message)
            }
          })
        }
      })
    },
    Update(row) {
      this.title = '修改'
      this.showFormDia = true
      this.params = row
    }
  }
}
</script>
<style lang="scss" scoped>
.step-container {
  width: 80%;
  margin: 0 auto 20px;
}
.dialog-footer {
  text-align: center;
}
</style>